Loading...
Searching...
No Matches
Node location segment reporting.

## Data Structures

struct | svn_location_segment_t
| A representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions. More...

## Typedefs

typedef struct svn_location_segment_t | svn_location_segment_t
| A representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions.
typedef svn_error_t *(* | svn_location_segment_receiver_t) (svn_location_segment_t *segment, void *baton, apr_pool_t *pool)
| A callback invoked by generators of svn_location_segment_t objects, used to report information about a versioned object's history in terms of its location in the repository filesystem over time.

## Functions

svn_location_segment_t * | svn_location_segment_dup (const svn_location_segment_t *segment, apr_pool_t *pool)
| Return a deep copy of segment, allocated in pool.

## Detailed Description

## Typedef Documentation

## svn_location_segment_receiver_t

typedef svn_error_t *(* svn_location_segment_receiver_t) (svn_location_segment_t *segment, void *baton, apr_pool_t *pool)

A callback invoked by generators of svn_location_segment_t objects, used to report information about a versioned object's history in terms of its location in the repository filesystem over time.

Definition at line 1223 of file svn_types.h.

## svn_location_segment_t

typedef struct svn_location_segment_t svn_location_segment_t

A representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions.

Since
  New in 1.5.

## Function Documentation

## svn_location_segment_dup()

svn_location_segment_t * svn_location_segment_dup | ( | const svn_location_segment_t * | segment,
|  | apr_pool_t * | pool )

Return a deep copy of segment, allocated in pool.

Since
  New in 1.5.